#include "stdsoap2.h"
#include "soapStub.h"

/** Web service one-way operation 'SOAP_ENV__Fault' implementation, should return value of soap_send_empty_response() to send HTTP Accept acknowledgment, or return an error code, or return SOAP_OK to immediately return without sending an HTTP response message */
SOAP_FMAC5 int SOAP_FMAC6 SOAP_ENV__Fault(struct soap*soap, char *faultcode, char *faultstring,
                                          char *faultactor, struct SOAP_ENV__Detail *detail,
                                          struct SOAP_ENV__Code *SOAP_ENV__Code,
                                          struct SOAP_ENV__Reason *SOAP_ENV__Reason,
                                          char *SOAP_ENV__Node, char *SOAP_ENV__Role,
                                          struct SOAP_ENV__Detail *SOAP_ENV__Detail)
{
    printf("SOAP_ENV__Fault %s, %d\n", __FUNCTION__, __LINE__);

    return 0;
}

SOAP_FMAC5 int SOAP_FMAC6 __wsdd__Hello(struct soap*, struct wsdd__HelloType *wsdd__Hello){
    printf("__wsdd__Hello %s, %d\n", __FUNCTION__, __LINE__);
    return 0;
}

SOAP_FMAC5 int SOAP_FMAC6 __wsdd__Bye(struct soap*, struct wsdd__ByeType *wsdd__Bye){
    printf("__wsdd__Bye %s, %d\n", __FUNCTION__, __LINE__);
    return 0;
}

SOAP_FMAC5 int SOAP_FMAC6 __wsdd__Probe(struct soap*, struct wsdd__ProbeType *wsdd__Probe){
    printf("__wsdd__Probe %s, %d\n", __FUNCTION__, __LINE__);
    								 
    return 0;
}

SOAP_FMAC5 int SOAP_FMAC6 __wsdd__ProbeMatches(struct soap*, struct wsdd__ProbeMatchesType *wsdd__ProbeMatches){
    printf("__wsdd__ProbeMatches %s, %d\n", __FUNCTION__, __LINE__);
    return 0;
}

SOAP_FMAC5 int SOAP_FMAC6 __wsdd__Resolve(struct soap*, struct wsdd__ResolveType *wsdd__Resolve){
    printf("__wsdd__Resolve %s, %d\n", __FUNCTION__, __LINE__);
    return 0;
}

SOAP_FMAC5 int SOAP_FMAC6 __wsdd__ResolveMatches(struct soap*, struct wsdd__ResolveMatchesType *wsdd__ResolveMatches){
    printf("__wsdd__ResolveMatches %s, %d\n", __FUNCTION__, __LINE__);
    return 0;
}

SOAP_FMAC5 int SOAP_FMAC6 __tdn__Hello(struct soap*, struct wsdd__HelloType tdn__Hello, struct wsdd__ResolveType &tdn__HelloResponse)
{
    printf("__tdn__Hello %s, %d\n", __FUNCTION__, __LINE__);

    return 0;
}
/** Web service operation '__tdn__Bye' implementation, should return SOAP_OK or error code */
SOAP_FMAC5 int SOAP_FMAC6 __tdn__Bye(struct soap*, struct wsdd__ByeType tdn__Bye, struct wsdd__ResolveType &tdn__ByeResponse)
{
    printf("__tdn__Bye %s, %d\n", __FUNCTION__, __LINE__);

    return 0;
}
/** Web service operation '__tdn__Probe' implementation, should return SOAP_OK or error code */
SOAP_FMAC5 int SOAP_FMAC6 __tdn__Probe(struct soap*, struct wsdd__ProbeType tdn__Probe, struct wsdd__ProbeMatchesType &tdn__ProbeResponse)
{
    printf("__tdn__Bye %s, %d\n", __FUNCTION__, __LINE__);
    return 0;
}

